OpenTTD Source: EconomyTime Class Reference

OpenTTD Source 14.0-beta3

Static Public Attributes
EconomyTime Class Reference

Storage class for Economy time constants. More...

`#include <timer_game_economy.h>`

Inheritance diagram for EconomyTime:

## Static Public Attributes
static constexpr int | DAYS_IN_ECONOMY_YEAR = 360
| Days in an economy year, when in wallclock timekeeping mode.
static constexpr int | DAYS_IN_ECONOMY_MONTH = 30
| Days in an economy month, when in wallclock timekeeping mode.
Static Public Attributes inherited from TimerGameConst< struct Economy >
static constexpr int | DAYS_IN_YEAR
| days per year
static constexpr int | DAYS_IN_LEAP_YEAR
| sometimes, you need one day more...
static constexpr int | MONTHS_IN_YEAR
| months per year
static constexpr int | SECONDS_PER_DAY
| approximate seconds per day, not for precise calculations
static constexpr TimerGame< struct Economy >::Year | ORIGINAL_BASE_YEAR
| The minimum starting year/base year of the original TTD.
static constexpr TimerGame< struct Economy >::Year | ORIGINAL_END_YEAR
| The original ending year.
static constexpr TimerGame< struct Economy >::Year | ORIGINAL_MAX_YEAR
| The maximum year of the original TTD.
static constexpr TimerGame< struct Economy >::Year | MAX_YEAR
| MAX_YEAR, nicely rounded value of the number of years that can be encoded in a single 32 bits date, about 2^31 / 366 years.
static constexpr TimerGame< struct Economy >::Year | MIN_YEAR
| The absolute minimum year in OTTD.
static constexpr TimerGame< struct Economy >::Year | DEF_START_YEAR
| The default starting year.
static constexpr TimerGame< struct Economy >::Year | DEF_END_YEAR
| The default scoring end year.
static constexpr TimerGame< struct Economy >::Date | DAYS_TILL_ORIGINAL_BASE_YEAR
| The date of the first day of the original base year.
static constexpr TimerGame< struct Economy >::Date | MAX_DATE
| The date of the last day of the max year.
static constexpr TimerGame< struct Economy >::Date | MIN_DATE
| The date on January 1, year 0.
static constexpr TimerGame< struct Economy >::Year | INVALID_YEAR
| Representation of an invalid year.
static constexpr TimerGame< struct Economy >::Date | INVALID_DATE
| Representation of an invalid date.

## Detailed Description

Storage class for Economy time constants.

Definition at line 49 of file timer_game_economy.h.

The documentation for this class was generated from the following file:

- src/timer/timer_game_economy.h